Subject: Re: routers

From: BigJim <[email-masked]>
Date: Mon, 31 Mar 1997 12:26:02 -0900

At 12:17 AM 3/31/97 -0500, you wrote:
>In order:
>1. Get a router with both.

I agree.. and choose the 1/2 drive bits where possible <stronger>.

>2. I really like my Porter-Cable 90690. Basically same as 690.

Yes, the 690 series is nice, particularly because you can get different
bases for the  same router and have a conventional and plunge router, or
leave one attached to a router table.
The Bosch 2 & 3.5hp variable speed, soft start routers are very highly
regarded in the group too.. as are Freud.
I have a Ryobi RE600 <3.5 hp> unit that works very well for me... even if
it is a wee bit heavy for large amounts of freehand work.

>3. They are truly one of the most versitile tools in the shop.

I totally agree.. and most shops end up with several.. with some <mostly>
dedicated to router tables and/or one or so laminate trimmer weight, one or
more around the 1.5-2hp size, and one or more in the 3 - 3.5hp range for
spinning the large bits.

Jim aka BigJim